View Issue Details

IDProjectCategoryView StatusLast Update
0018149MediaMonkey 5Skinning frameworkpublic2021-07-26 21:30
Reporterpeke Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.1 
Target Version5.0.1Fixed in Version5.0.1 
Summary0018149: Mini Player: Mini Player Display issues (regression)
Description1. User can't remove tracks from Now Playing while in Mini Player mode

2. Seek Bar is not shown in Mini Player if WaveBar is enable in regular Player.
2a. even when you enable seek bar in player layout Mini Player Seekbar do not update or work (MM Restart is needed)

3. Seek Bar overlaps player controls (few px in my case) in some skins (Material Dark)

Additional InformationRegression of fixing 3) https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99629
TagsNo tags attached.
Fixed in build2428

Activities

rusty

2021-07-20 01:01

administrator   ~0064258

1. is already tracked at 0018036 / 0018018

4. The miniplayer now renders incorrectly--width is off resulting in half the dialog displaying blank (possibly related to 3?). See attached. This is a regression in recent builds. afaik, in previous builds the width of the dialog could be adjusted, and the list's width would adjust to the size of the dialog.

Set target as 5.0.1 as 4. is a pretty obvious regression, and 2. should be trivial to fix.

rusty

2021-07-20 01:02

administrator   ~0064259

miniplayer-incorrect-sizing.jpg (65,514 bytes)   
miniplayer-incorrect-sizing.jpg (65,514 bytes)   

petr

2021-07-20 09:52

developer   ~0064263

Last edited: 2021-07-20 09:55

View 2 revisions

Items 2 & 3 fixed.
re 4) NP width fixed, but how did you managed to resize mini player (resize of the mini player isn't implemented yet) ?

peke

2021-07-20 23:12

developer   ~0064266

Verified 2-4 in 2427

1) Tracked in respective bugs 0018036 / 0018018

peke

2021-07-24 00:57

developer   ~0064283

Reopened due the regression of fixing 3) where if you delete Persistent.json and or minimize to mini player for first time in Material dark skin Player controls overlaps playlist header or are cut off if playlist is not shown.

peke

2021-07-24 01:03

developer   ~0064284

https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99629
bug18149.mp4 (445,442 bytes)   

petr

2021-07-24 16:23

developer   ~0064285

Fixed

peke

2021-07-26 21:30

developer   ~0064295

Verified 2428 and 2429

All fixed now